Categories:
  - Privacy
License: BSD-2-Clause
AuthorName: Open Observatory of Network Interference
AuthorEmail: contact@openobservatory.org
WebSite: https://ooni.org/
SourceCode: https://github.com/ooni/probe-android
IssueTracker: https://github.com/ooni/probe/issues
Translation: https://www.transifex.com/otf/ooniprobe/
Changelog: https://github.com/ooni/probe-android/releases
Donate: https://ooni.org/donate/

Name: OONI Probe
Summary: Open Observatory of Network Interference
Description: OONI Probe is free and open source software designed to measure internet
  censorship and other forms of network interference.

RequiresRoot: true

RepoType: git
Repo: https://github.com/ooni/probe-android.git
Binaries: https://github.com/ooni/probe-android/releases/download/v%v/OONIProbe-Android-%v-fdroid.apk

Builds:
  - versionName: 1.1.3
    versionCode: 5
    commit: v1.1.3-fdroid-1
    subdir: app
    gradle:
      - yes
    antifeatures:
      - Tracking

  - versionName: 1.1.5-fdroid
    versionCode: 11
    commit: v1.1.5-fdroid
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/constraint-layout:1.0.0-alpha7/constraint-layout:1.0.2/'
      build.gradle
    antifeatures:
      - Tracking

  - versionName: 1.1.5-fdroid.1
    versionCode: 12
    commit: v1.1.5-fdroid.1
    subdir: app
    gradle:
      - yes
    antifeatures:
      - Tracking

  - versionName: 1.2.3-fdroid.1
    versionCode: 17
    commit: v1.2.3-fdroid.1
    subdir: app
    gradle:
      - yes
    antifeatures:
      - Tracking

  - versionName: 1.3.1-fdroid.1
    versionCode: 24
    commit: v1.3.1-fdroid.1
    subdir: app
    gradle:
      - yes
    antifeatures:
      - Tracking

  - versionName: 2.0.0
    versionCode: 41
    commit: v2.0.0+41
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/fabric/d' ../build.gradle
      - sed -i -e '/fabric/d' build.gradle
    antifeatures:
      - Tracking

  - versionName: 2.0.1
    versionCode: 42
    commit: v2.0.1
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/fabric/d' ../build.gradle
      - sed -i -e '/fabric/d' build.gradle
    antifeatures:
      - Tracking

  - versionName: 2.0.2
    versionCode: 43
    commit: v2.0.2
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/fabric/d' ../build.gradle
      - sed -i -e '/fabric/d' build.gradle
    antifeatures:
      - Tracking

  - versionName: 2.0.3
    versionCode: 44
    commit: v2.0.3
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/fabric/d' ../build.gradle
      - sed -i -e '/fabric/d' build.gradle
    antifeatures:
      - Tracking

  - versionName: 2.1.0
    versionCode: 49
    commit: v2.1.0
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/fabric/d' ../build.gradle
      - sed -i -e '/fabric/d' build.gradle
    antifeatures:
      - Tracking

  - versionName: 2.2.0
    versionCode: 54
    commit: v2.2.0
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/fabric/d' ../build.gradle
      - sed -i -e '/fabric/d' build.gradle
    antifeatures:
      - Tracking

  - versionName: 2.3.0
    versionCode: 57
    commit: v2.3.0
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/fabric/d' ../build.gradle
      - sed -i -e '/fabric/d' build.gradle
    antifeatures:
      - Tracking

  - versionName: 2.3.1
    versionCode: 58
    commit: v2.3.1
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/fabric/d' ../build.gradle
      - sed -i -e '/fabric/d' build.gradle
    antifeatures:
      - Tracking

  - versionName: 2.3.2
    versionCode: 59
    commit: v2.3.2
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/fabric/d' ../build.gradle
      - sed -i -e '/fabric/d' build.gradle
    antifeatures:
      - Tracking

  - versionName: 2.5.1
    versionCode: 62
    commit: v2.5.1
    subdir: app
    gradle:
      - stableFdroid
    prebuild:
      - sed -i -e '/fabric/d' ../build.gradle
      - sed -i -e '/fabric/d' -e 's/21.0.6113669/21.3.6528147/' build.gradle
    ndk: r21d
    antifeatures:
      - Tracking

  - versionName: 2.5.2
    versionCode: 63
    commit: v2.5.2
    subdir: app
    gradle:
      - stableFdroid
    prebuild:
      - sed -i -e '/fabric/d' ../build.gradle
      - sed -i -e '/fabric/d' -e 's/21.0.6113669/21.3.6528147/' build.gradle
    ndk: r21d
    antifeatures:
      - Tracking

  - versionName: 2.6.0
    versionCode: 64
    commit: v2.6.0
    subdir: app
    gradle:
      - stableFdroid
    prebuild:
      - sed -i -e '/com.google.gms/d' build.gradle ../build.gradle
      - sed -i -e 's/21.0.6113669/21.3.6528147/' build.gradle
    ndk: r21d
    antifeatures:
      - Tracking

  - versionName: 2.7.0
    versionCode: 65
    commit: v2.7.0
    subdir: app
    gradle:
      - stableFdroid
    prebuild: sed -i -e '/fabric/d' -e 's/21.0.6113669/21.3.6528147/' -e '/com.google.gms/d'
      ../build.gradle build.gradle
    ndk: r21d
    antifeatures:
      - Tracking

  - versionName: 2.7.1
    versionCode: 66
    commit: v2.7.1
    subdir: app
    gradle:
      - stableFdroid
    prebuild: sed -i -e '/fabric/d' -e 's/21.0.6113669/21.3.6528147/' -e '/com.google.gms/d'
      ../build.gradle build.gradle
    ndk: r21d
    antifeatures:
      - Tracking

  - versionName: 2.8.0-beta.1
    versionCode: 67
    commit: v2.8.0-beta.1
    subdir: app
    gradle:
      - stableFdroid
    prebuild: sed -i -e '/fabric/d' -e 's/21.0.6113669/21.3.6528147/' -e '/com.google.gms/d'
      ../build.gradle build.gradle
    ndk: r21d
    antifeatures:
      - Tracking

  - versionName: 2.8.0
    versionCode: 68
    commit: v2.8.0
    subdir: app
    gradle:
      - stableFdroid
    prebuild: sed -i -e '/fabric/d' -e 's/21.0.6113669/21.3.6528147/' -e '/com.google.gms/d'
      ../build.gradle build.gradle
    ndk: r21d
    antifeatures:
      - Tracking

  - versionName: 2.9.1
    versionCode: 70
    commit: v2.9.1
    subdir: app
    gradle:
      - stableFdroid
    prebuild: sed -i -e '/fabric/d' -e 's/21.0.6113669/21.3.6528147/' -e '/com.google.gms/d'
      ../build.gradle build.gradle
    ndk: r22
    antifeatures:
      - Tracking

  - versionName: 2.9.2
    versionCode: 71
    commit: v2.9.2
    subdir: app
    gradle:
      - stableFdroid
    prebuild: sed -i -e '/fabric/d' -e 's/21.0.6113669/21.3.6528147/' -e '/com.google.gms/d'
      ../build.gradle build.gradle
    ndk: r22
    antifeatures:
      - Tracking

  - versionName: 2.9.3
    versionCode: 72
    commit: v2.9.3
    subdir: app
    gradle:
      - stableFdroid
    prebuild: sed -i -e '/fabric/d' -e 's/21.0.6113669/21.3.6528147/' -e '/com.google.gms/d'
      ../build.gradle build.gradle
    ndk: r22
    antifeatures:
      - Tracking

  - versionName: 2.10.0
    versionCode: 73
    commit: v2.10.0
    subdir: app
    gradle:
      - stableFdroid
    prebuild: sed -i -e '/fabric/d' -e 's/21.0.6113669/21.3.6528147/' -e '/com.google.gms/d'
      ../build.gradle build.gradle
    ndk: r22
    antifeatures:
      - Tracking

  - versionName: 2.10.1
    versionCode: 74
    commit: v2.10.1
    subdir: app
    gradle:
      - stableFdroid
    prebuild: sed -i -e '/fabric/d' -e 's/21.0.6113669/21.3.6528147/' -e '/com.google.gms/d'
      ../build.gradle build.gradle
    ndk: r22

  - versionName: 2.11.0
    versionCode: 75
    commit: v2.11.0
    subdir: app
    gradle:
      - stableFdroid
    prebuild: sed -i -e '/fabric/d' -e 's/22.0.7026061/22.1.7171670/' -e '/com.google.gms/d'
      ../build.gradle build.gradle
    ndk: r22b

  - versionName: 3.0.0
    versionCode: 77
    commit: v3.0.0
    subdir: app
    gradle:
      - stableFdroid
    prebuild: sed -i -e '/fabric/d' -e 's/22.0.7026061/22.1.7171670/' -e '/com.google.gms/d'
      ../build.gradle build.gradle
    ndk: r22b

  - versionName: 3.1.0
    versionCode: 78
    commit: 2a0771cb70d5a712df7bffe98ae46452b9c157fc
    subdir: app
    gradle:
      - stableFdroid
    prebuild: sed -i -e '/fabric/d' -e 's/22.0.7026061/22.1.7171670/' -e '/com.google.gms/d'
      ../build.gradle build.gradle
    ndk: r22b

  - versionName: 3.2.0
    versionCode: 79
    commit: 31872f81abcc9dba9c60aa1524fc276549087b10
    subdir: app
    gradle:
      - stableFdroid
    prebuild: sed -i -e '/fabric/d' -e 's/22.0.7026061/22.1.7171670/' -e '/com.google.gms/d'
      ../build.gradle build.gradle
    ndk: r22b

  - versionName: 3.3.0
    versionCode: 80
    commit: f8d96c48b787c8e06ac40940b05f536a05ff617f
    subdir: app
    gradle:
      - stableFdroid
    prebuild: sed -i -e '/fabric/d' -e 's/22.0.7026061/22.1.7171670/' -e '/com.google.gms/d'
      ../build.gradle build.gradle
    ndk: r22b

  - versionName: 3.3.1
    versionCode: 81
    commit: 38b067e21e09c4d0f626c0cd090971bb3ebb3b0d
    subdir: app
    gradle:
      - stableFdroid
    prebuild: sed -i -e '/fabric/d' -e 's/22.0.7026061/22.1.7171670/' -e '/com.google.gms/d'
      ../build.gradle build.gradle
    ndk: r22b

  - versionName: 3.4.0
    versionCode: 82
    commit: 501aa38fcfa32636f055de9efaf6b7fcebe56763
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - stableFdroid
    prebuild: sed -i -e '/fabric/d' -e 's/22.0.7026061/22.1.7171670/' -e '/com.google.gms/d'
      ../build.gradle build.gradle
    ndk: r22b

  - versionName: 3.4.1
    versionCode: 83
    commit: 5e97c52a8a48c4e3d41546d657d780ac7ce6bfd4
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - stableFdroid
    prebuild: sed -i -e '/fabric/d' -e 's/22.0.7026061/22.1.7171670/' -e '/com.google.gms/d'
      ../build.gradle build.gradle
    ndk: r22b

  - versionName: 3.5.0
    versionCode: 84
    commit: 12240eb4360574cb17356d5229df90049f142b8e
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - stableFdroid
    prebuild: sed -i -e '/fabric/d' -e 's/22.0.7026061/22.1.7171670/' -e '/com.google.gms/d'
      ../build.gradle build.gradle
    ndk: r22b

  - versionName: 3.6.0
    versionCode: 88
    commit: 64a5a8559961c4ee8f18cf07fcc1715a524c521c
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - stableFdroid
    prebuild: sed -i -e '/fabric/d' -e 's/22.0.7026061/22.1.7171670/' -e '/com.google.gms/d'
      ../build.gradle build.gradle
    ndk: r22b

  - versionName: 3.6.1
    versionCode: 89
    commit: 64f79bc58b3e0652648ecaa45f6206bcb559b00e
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - stableFdroid
    prebuild: sed -i -e '/fabric/d' -e 's/22.0.7026061/22.1.7171670/' -e '/com.google.gms/d'
      ../build.gradle build.gradle
    ndk: r22b

  - versionName: 3.7.0
    versionCode: 91
    commit: 38c33f090de3198ef85be0ebff820694f6dcafa7
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - stableFdroid
    prebuild: sed -i -e '/fabric/d' -e 's/22.0.7026061/22.1.7171670/' -e '/com.google.gms/d'
      ../build.gradle build.gradle
    ndk: r22b

  - versionName: 3.7.1
    versionCode: 92
    commit: 03a38bfca293c773e72016e1f1ff67a5ada6188b
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - stableFdroid
    prebuild: sed -i -e '/fabric/d' -e 's/22.0.7026061/22.1.7171670/' -e '/com.google.gms/d'
      ../build.gradle build.gradle
    ndk: r22b

  - versionName: 3.7.2
    versionCode: 94
    commit: bfbd97755c7230c84fa73a6e483f406603289ee6
    subdir: app
    gradle:
      - stableFdroid
    prebuild:
      - sed -i -e '/fabric/d' -e 's/22.0.7026061/22.1.7171670/' -e '/com.google.gms/d'
        ../build.gradle build.gradle
      - sed -i -e "/android {/alintOptions { disable 'ExtraTranslation' }" build.gradle
    ndk: r22b

  - versionName: 3.7.3
    versionCode: 95
    commit: 87ee752795fec715f14ec850a6689abb30c52b39
    subdir: app
    gradle:
      - stableFdroid
    prebuild:
      - sed -i -e '/fabric/d' -e 's/22.0.7026061/22.1.7171670/' -e '/com.google.gms/d'
        ../build.gradle build.gradle
      - sed -i -e "/android {/alintOptions { disable 'ExtraTranslation' }" build.gradle
    ndk: r22b

  - versionName: 3.8.0
    versionCode: 98
    commit: dc288c9dde126f41a98662cb926430a8c8794997
    subdir: app
    gradle:
      - stableFdroid
    prebuild:
      - sed -i -e '/fabric/d' -e 's/22.0.7026061/22.1.7171670/' -e '/com.google.gms/d'
        ../build.gradle build.gradle
      - sed -i -e "/android {/alintOptions { disable 'ExtraTranslation' }" build.gradle
    ndk: r22b

  - versionName: 3.8.1
    versionCode: 99
    commit: a82babf6a4b522d5021ace3a5194f5ec63fa4f6b
    subdir: app
    gradle:
      - stableFdroid
    prebuild:
      - sed -i -e '/fabric/d' -e 's/22.0.7026061/22.1.7171670/' -e '/com.google.gms/d'
        ../build.gradle build.gradle
      - sed -i -e "/android {/alintOptions { disable 'ExtraTranslation' }" build.gradle
    ndk: r22b

  - versionName: 3.8.2
    versionCode: 100
    commit: 0dedd35fc7507d101cadbb55600d8ada289e9224
    subdir: app
    gradle:
      - stableFdroid
    prebuild:
      - sed -i -e '/fabric/d' -e 's/22.0.7026061/22.1.7171670/' -e '/com.google.gms/d'
        ../build.gradle build.gradle
      - sed -i -e "/android {/alintOptions { disable 'ExtraTranslation' }" build.gradle
    ndk: r22b

  - versionName: 3.8.3
    versionCode: 102
    commit: 29deced06be899ed3901c8b5630192c5db51f10a
    subdir: app
    gradle:
      - stableFdroid
    prebuild:
      - sed -i -e '/fabric/d' -e 's/22.0.7026061/22.1.7171670/' -e '/com.google.gms/d'
        ../build.gradle build.gradle
      - sed -i -e "/android {/alintOptions { disable 'ExtraTranslation' }" build.gradle
    ndk: r22b

  - versionName: 3.8.4
    versionCode: 106
    commit: 77921062e50e94b81848dffc72fa8b659f180d82
    subdir: app
    gradle:
      - stableFdroid
    prebuild:
      - sed -i -e '/fabric/d' -e 's/22.0.7026061/22.1.7171670/' -e '/com.google.gms/d'
        ../build.gradle build.gradle
      - sed -i -e "/android {/alintOptions { disable 'ExtraTranslation' }" build.gradle
    ndk: r22b

  - versionName: 3.8.5
    versionCode: 107
    commit: 98b7ab3bd2101f00543e9a654611eae2a740a4dc
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - stableFdroid
    prebuild:
      - sed -i -e '/fabric/d' -e 's/22.0.7026061/22.1.7171670/' -e '/com.google.gms/d'
        -e '/gms.googleServices/d' ../build.gradle build.gradle
      - sed -i -e "/android {/alintOptions { disable 'ExtraTranslation' }" build.gradle
    ndk: r22b

  - versionName: 3.8.5.1
    versionCode: 108
    commit: 9cfdc5bb78ebcc3653182eee4e5c5625cc4a50fe
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - stableFdroid
    prebuild:
      - sed -i -e '/fabric/d' -e 's/22.0.7026061/22.1.7171670/' -e '/com.google.gms/d'
        -e '/gms.googleServices/d' ../build.gradle build.gradle
      - sed -i -e "/android {/alintOptions { disable 'ExtraTranslation' }" build.gradle
    ndk: r22b

  - versionName: 3.8.6
    versionCode: 110
    commit: 6af25fde1c8fc407e6e52204d30b36c22dca0539
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - stableFdroid
    prebuild:
      - sed -i -e '/fabric/d' -e 's/22.0.7026061/22.1.7171670/' -e '/com.google.gms/d'
        -e '/gms.googleServices/d' ../build.gradle build.gradle
      - sed -i -e "/android {/alintOptions { disable 'ExtraTranslation' }" build.gradle
    ndk: r22b

  - versionName: 3.8.7
    versionCode: 111
    commit: 4bc7e61d1568a27bb40d9f82ff53fa1b9967c103
    subdir: app
    gradle:
      - stableFdroid
    prebuild:
      - sed -i -e '/fabric/d' -e 's/22.0.7026061/22.1.7171670/' -e '/com.google.gms/d'
        -e '/gms.googleServices/d' ../build.gradle build.gradle
      - sed -i -e "/android {/alintOptions { disable 'ExtraTranslation' }" build.gradle
    ndk: r22b

  - versionName: 3.8.8
    versionCode: 116
    commit: 103926dcab5439907950f972ac94f9f398fe0be8
    subdir: app
    gradle:
      - stableFdroid
    prebuild:
      - sed -i -e '/fabric/d' -e 's/22.0.7026061/22.1.7171670/' -e '/com.google.gms/d'
        -e '/gms.googleServices/d' ../build.gradle build.gradle
      - sed -i -e "/android {/alintOptions { disable 'ExtraTranslation' }" build.gradle
    ndk: r22b

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 2.4.0
CurrentVersionCode: 60
